# mtx_destroy

From cppreference.com
< c‎ | thread

Defined in header `<threads.h>` |  |
void mtx_destroy( mtx_t *mutex ); |  | (since C11)

Destroys the mutex pointed to by `mutex`.

If there are threads waiting on `mutex`, the behavior is undefined.

### Parameters

mutex | - | pointer to the mutex to destroy

### Return value

(none)

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.26.4.1 The mtx_destroy function (p: 380)

### See also

C++ documentation for ~recursive_timed_mutex

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/thread/mtx_destroy&oldid=90394"